Auth
Logout current app session
Logout current app session
DELETE
https://api-gw.verolabs.co
/
api
/
authen
/
self-service
/
logout
/
api
Logout current app session
curl --request DELETE \
--url https://api-gw.verolabs.co/api/authen/self-service/logout/api \
--header 'Content-Type: application/json' \
--header 'X-Session-Token: <api-key>' \
--data '
{
"session_token": "<string>"
}
'const options = {
method: 'DELETE',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({session_token: '<string>'})
};
fetch('https://api-gw.verolabs.co/api/authen/self-service/logout/api', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-gw.verolabs.co/api/authen/self-service/logout/api"
payload = { "session_token": "<string>" }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-gw.verolabs.co/api/authen/self-service/logout/api"
payload := strings.NewReader("{\n \"session_token\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("X-Session-Token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-gw.verolabs.co/api/authen/self-service/logout/api");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-Session-Token", "<api-key>");
request.AddJsonBody("{\n \"session_token\": \"<string>\"\n}", false);
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "DELETE");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-gw.verolabs.co/api/authen/self-service/logout/api");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "X-Session-Token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"session_token\": \"<string>\"\n}");
CURLcode ret = curl_easy_perform(hnd);{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}Authorizations
Session token returned by authentication flows.
Body
application/json
JSON body containing the session token to invalidate.
JSON payload containing the session token to revoke when logging out.
The session token (st_...) to invalidate.
Response
Session successfully invalidated. No response body is returned.
⌘I
Logout current app session
curl --request DELETE \
--url https://api-gw.verolabs.co/api/authen/self-service/logout/api \
--header 'Content-Type: application/json' \
--header 'X-Session-Token: <api-key>' \
--data '
{
"session_token": "<string>"
}
'const options = {
method: 'DELETE',
headers: {'X-Session-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({session_token: '<string>'})
};
fetch('https://api-gw.verolabs.co/api/authen/self-service/logout/api', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-gw.verolabs.co/api/authen/self-service/logout/api"
payload = { "session_token": "<string>" }
headers = {
"X-Session-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-gw.verolabs.co/api/authen/self-service/logout/api"
payload := strings.NewReader("{\n \"session_token\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("X-Session-Token", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-gw.verolabs.co/api/authen/self-service/logout/api");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-Session-Token", "<api-key>");
request.AddJsonBody("{\n \"session_token\": \"<string>\"\n}", false);
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);falseCURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "DELETE");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api-gw.verolabs.co/api/authen/self-service/logout/api");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "X-Session-Token: <api-key>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\n \"session_token\": \"<string>\"\n}");
CURLcode ret = curl_easy_perform(hnd);{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"detail": "<string>",
"details": "<string>",
"status": 123
}
